package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjFl;

/**
 * 设计-附录Mapper接口
 * 
 * @author
 * @date 2025-07-25
 */
public interface SjFlMapper 
{
    /**
     * 查询设计-附录
     * 
     * @param id 设计-附录主键
     * @return 设计-附录
     */
    public SjFl selectSjFlById(Long id);

    /**
     * 查询设计-附录列表
     * 
     * @param sjFl 设计-附录
     * @return 设计-附录集合
     */
    public List<SjFl> selectSjFlList(SjFl sjFl);

    /**
     * 新增设计-附录
     * 
     * @param sjFl 设计-附录
     * @return 结果
     */
    public int insertSjFl(SjFl sjFl);

    /**
     * 修改设计-附录
     * 
     * @param sjFl 设计-附录
     * @return 结果
     */
    public int updateSjFl(SjFl sjFl);

    /**
     * 删除设计-附录
     * 
     * @param id 设计-附录主键
     * @return 结果
     */
    public int deleteSjFlById(Long id);

    /**
     * 批量删除设计-附录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFlByIds(Long[] ids);
}
